shipink-logo-vector-svgDökümantasyon

Orders

Sipariş oluşturma, listeleme, güncelleme ve silme işlemleri. Gönderi oluşturmak için önce bir sipariş oluşturulması gerekir.

Siparişleri listele

Var olan siparişlerinizi sayfalanmış olarak getirir.

GET
/orders
AuthorizationBearer <token>

Authenticate using the access_token obtained from POST /token.

Format: Authorization: Bearer {access_token}

In: header

Query Parameters

page?integer

Page number

Default1
Range1 <= value
limit?integer

Number of items per page

Default10
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://api.shipink.io/orders"

{
  "success": true,
  "meta": {
    "status": 200,
    "message": "orders successfully received",
    "total": 42
  },
  "data": [
    {
      "id": "fF3jGNEosBXM",
      "customer": {
        "name": "Ali Yılmaz",
        "email": {
          "main": "ali@example.com",
          "work": ""
        },
        "phone": {
          "main": "+905321234567",
          "work": "",
          "cell": "",
          "code": ""
        },
        "address": {
          "street": "Örnek Sokak No:1",
          "city": "Maltepe",
          "state": "İstanbul",
          "zip": "34857",
          "country_code": "TR"
        }
      },
      "items": [
        {
          "name": "T-Shirt",
          "quantity": 2,
          "price": 299.9
        }
      ],
      "currency": "TRY",
      "price": 599.8,
      "payment": {
        "method": "credit-card",
        "status": "completed",
        "type": "prepaid"
      },
      "status": "shipped",
      "created_at": "2026-03-01T10:00:00Z",
      "updated_at": "2026-03-01T12:00:00Z"
    }
  ]
}

Sipariş oluştur

Yeni bir sipariş oluşturmak için kullanılır. Gönderi oluşturmak için önce bu endpoint ile sipariş oluşturulması gerekir.

POST
/orders
AuthorizationBearer <token>

Authenticate using the access_token obtained from POST /token.

Format: Authorization: Bearer {access_token}

In: header

sales_channel?
customer
items
note?string
language?string
currencystring
pricenumber
Formatfloat
payment?
billing?
placed_at?string
Formatdate-time

Response Body

application/json

curl -X POST "https://api.shipink.io/orders" \  -H "Content-Type: application/json" \  -d '{    "customer": {      "name": "Geralt of Rivia",      "company": "Kaer Morhen",      "tax_id": "",      "email": {        "main": "geralt@rivia.com",        "work": ""      },      "phone": {        "main": "905545456789",        "work": "",        "cell": "",        "code": ""      },      "address": {        "street": "Kaer Morhen",        "city": "Maltepe",        "state": "İstanbul",        "zip": "34044",        "country_code": "TR"      }    },    "items": [      {        "name": "Fisstech",        "quantity": 3,        "category": "gadget",        "price": 500.9,        "hs_code": "",        "origin": "TR"      }    ],    "currency": "TRY",    "price": 1500.5,    "payment": {      "method": "credit-card",      "status": "completed"    }  }'
{
  "sales_channel": {
    "id": "shopify",
    "account_id": "sc_abc123",
    "order_id": "SC-10042",
    "order_number": "#10042",
    "delivery_option": "standard",
    "name": "My Shopify Store",
    "url": "https://mystore.myshopify.com",
    "logo": "",
    "mark_as_paid": false,
    "brand_color": "#000000",
    "updated_at": "2019-08-24T14:15:22Z",
    "use_carrier_tracking_page": false
  },
  "customer": {
    "id": "cust_abc123",
    "name": "Ahmet Yılmaz",
    "company": "",
    "tax_id": "",
    "tax_office": "",
    "email": {
      "main": "user@example.com",
      "work": ""
    },
    "phone": {
      "main": "905321234567",
      "work": "",
      "cell": "",
      "code": ""
    },
    "address": {
      "street": "Example Street No:1",
      "city": "Maltepe",
      "city_code": "TR-34-108146",
      "state": "İstanbul",
      "state_code": "TR-34",
      "zip": "34857",
      "country": "Turkey",
      "country_code": "TR",
      "tax_id": "",
      "external_id": null,
      "status": ""
    }
  },
  "items": [
    {
      "id": "item_abc123",
      "sales_channel_item_id": "",
      "sales_channel_product_id": "",
      "sales_channel_product_variant_id": "",
      "external_id": null,
      "name": "Product Name",
      "quantity": 3,
      "category": "gadget",
      "price": 500.9,
      "total": 1502.7,
      "hs_code": "",
      "origin": "TR",
      "sku": "",
      "image": "",
      "weight": 0.5,
      "dimensions": {
        "length": 10,
        "width": 10,
        "height": 5
      },
      "status": "active",
      "discount": 0,
      "tax": 0,
      "tax_rate": 0
    }
  ],
  "note": "",
  "language": "tr",
  "currency": "TRY",
  "price": 1500.5,
  "payment": {
    "method": "credit-card",
    "status": "completed",
    "type": "prepaid"
  },
  "billing": {
    "id": "bill_abc123",
    "name": "Ahmet",
    "surname": "Yılmaz",
    "company": "",
    "email": "ahmet@example.com",
    "phone": "5552540099",
    "tax_id": "",
    "sub_total": 1500.5,
    "shipping": 0,
    "tax": 0,
    "discount": 0,
    "total": 1500.5,
    "currency": "TRY",
    "external_id": null,
    "address": {
      "street": "Example Street No:1",
      "city": "Maltepe",
      "city_code": "TR-34-108146",
      "state": "İstanbul",
      "state_code": "TR-34",
      "zip": "34857",
      "country": "Turkey",
      "country_code": "TR",
      "tax_id": "",
      "external_id": null,
      "status": ""
    },
    "invoice_status": "pending"
  },
  "placed_at": "2019-08-24T14:15:22Z",
  "id": "fF3jGNEosBXM",
  "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
  "status": "created",
  "shipments": [
    {}
  ],
  "activities": [
    {}
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}

Sipariş getir

Belirtilen ID'ye sahip siparişin bilgilerini getirir.

GET
/orders/{order_id}
AuthorizationBearer <token>

Authenticate using the access_token obtained from POST /token.

Format: Authorization: Bearer {access_token}

In: header

Path Parameters

order_idstring

Order ID

Response Body

application/json

curl -X GET "https://api.shipink.io/orders/fF3jGNEosBXM"
{
  "sales_channel": {
    "id": "shopify",
    "account_id": "sc_abc123",
    "order_id": "SC-10042",
    "order_number": "#10042",
    "delivery_option": "standard",
    "name": "My Shopify Store",
    "url": "https://mystore.myshopify.com",
    "logo": "",
    "mark_as_paid": false,
    "brand_color": "#000000",
    "updated_at": "2019-08-24T14:15:22Z",
    "use_carrier_tracking_page": false
  },
  "customer": {
    "id": "cust_abc123",
    "name": "Ahmet Yılmaz",
    "company": "",
    "tax_id": "",
    "tax_office": "",
    "email": {
      "main": "user@example.com",
      "work": ""
    },
    "phone": {
      "main": "905321234567",
      "work": "",
      "cell": "",
      "code": ""
    },
    "address": {
      "street": "Example Street No:1",
      "city": "Maltepe",
      "city_code": "TR-34-108146",
      "state": "İstanbul",
      "state_code": "TR-34",
      "zip": "34857",
      "country": "Turkey",
      "country_code": "TR",
      "tax_id": "",
      "external_id": null,
      "status": ""
    }
  },
  "items": [
    {
      "id": "item_abc123",
      "sales_channel_item_id": "",
      "sales_channel_product_id": "",
      "sales_channel_product_variant_id": "",
      "external_id": null,
      "name": "Product Name",
      "quantity": 3,
      "category": "gadget",
      "price": 500.9,
      "total": 1502.7,
      "hs_code": "",
      "origin": "TR",
      "sku": "",
      "image": "",
      "weight": 0.5,
      "dimensions": {
        "length": 10,
        "width": 10,
        "height": 5
      },
      "status": "active",
      "discount": 0,
      "tax": 0,
      "tax_rate": 0
    }
  ],
  "note": "",
  "language": "tr",
  "currency": "TRY",
  "price": 1500.5,
  "payment": {
    "method": "credit-card",
    "status": "completed",
    "type": "prepaid"
  },
  "billing": {
    "id": "bill_abc123",
    "name": "Ahmet",
    "surname": "Yılmaz",
    "company": "",
    "email": "ahmet@example.com",
    "phone": "5552540099",
    "tax_id": "",
    "sub_total": 1500.5,
    "shipping": 0,
    "tax": 0,
    "discount": 0,
    "total": 1500.5,
    "currency": "TRY",
    "external_id": null,
    "address": {
      "street": "Example Street No:1",
      "city": "Maltepe",
      "city_code": "TR-34-108146",
      "state": "İstanbul",
      "state_code": "TR-34",
      "zip": "34857",
      "country": "Turkey",
      "country_code": "TR",
      "tax_id": "",
      "external_id": null,
      "status": ""
    },
    "invoice_status": "pending"
  },
  "placed_at": "2019-08-24T14:15:22Z",
  "id": "fF3jGNEosBXM",
  "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
  "status": "created",
  "shipments": [
    {}
  ],
  "activities": [
    {}
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}
Empty

Sipariş sil

Belirtilen ID'ye sahip siparişi siler.

DELETE
/orders/{order_id}
AuthorizationBearer <token>

Authenticate using the access_token obtained from POST /token.

Format: Authorization: Bearer {access_token}

In: header

Path Parameters

order_idstring

Order ID

Response Body

application/json

curl -X DELETE "https://api.shipink.io/orders/fF3jGNEosBXM"
{
  "message": "Operation completed successfully."
}

Sipariş güncelle

Belirtilen ID'ye sahip sipariş bilgilerini günceller.

PUT
/orders/{order_id}
AuthorizationBearer <token>

Authenticate using the access_token obtained from POST /token.

Format: Authorization: Bearer {access_token}

In: header

Path Parameters

order_idstring

Order ID

customer?
items?
note?string
currency?string
price?number
Formatfloat

Response Body

application/json

curl -X PUT "https://api.shipink.io/orders/fF3jGNEosBXM" \  -H "Content-Type: application/json" \  -d '{    "customer": {      "name": "Radovid V",      "company": "Redenia",      "email": {        "main": "stern@radovid.com",        "work": ""      },      "phone": {        "main": "90535354544"      },      "address": {        "street": "HMS Oxenfurt-Tretogor",        "city": "Maltepe",        "city_code": "TR-34-108146",        "state": "İstanbul",        "state_code": "TR-34",        "zip": "34044",        "country": "Turkey",        "country_code": "TR"      }    },    "items": [],    "currency": "TRY",    "price": 0  }'
{
  "sales_channel": {
    "id": "shopify",
    "account_id": "sc_abc123",
    "order_id": "SC-10042",
    "order_number": "#10042",
    "delivery_option": "standard",
    "name": "My Shopify Store",
    "url": "https://mystore.myshopify.com",
    "logo": "",
    "mark_as_paid": false,
    "brand_color": "#000000",
    "updated_at": "2019-08-24T14:15:22Z",
    "use_carrier_tracking_page": false
  },
  "customer": {
    "id": "cust_abc123",
    "name": "Ahmet Yılmaz",
    "company": "",
    "tax_id": "",
    "tax_office": "",
    "email": {
      "main": "user@example.com",
      "work": ""
    },
    "phone": {
      "main": "905321234567",
      "work": "",
      "cell": "",
      "code": ""
    },
    "address": {
      "street": "Example Street No:1",
      "city": "Maltepe",
      "city_code": "TR-34-108146",
      "state": "İstanbul",
      "state_code": "TR-34",
      "zip": "34857",
      "country": "Turkey",
      "country_code": "TR",
      "tax_id": "",
      "external_id": null,
      "status": ""
    }
  },
  "items": [
    {
      "id": "item_abc123",
      "sales_channel_item_id": "",
      "sales_channel_product_id": "",
      "sales_channel_product_variant_id": "",
      "external_id": null,
      "name": "Product Name",
      "quantity": 3,
      "category": "gadget",
      "price": 500.9,
      "total": 1502.7,
      "hs_code": "",
      "origin": "TR",
      "sku": "",
      "image": "",
      "weight": 0.5,
      "dimensions": {
        "length": 10,
        "width": 10,
        "height": 5
      },
      "status": "active",
      "discount": 0,
      "tax": 0,
      "tax_rate": 0
    }
  ],
  "note": "",
  "language": "tr",
  "currency": "TRY",
  "price": 1500.5,
  "payment": {
    "method": "credit-card",
    "status": "completed",
    "type": "prepaid"
  },
  "billing": {
    "id": "bill_abc123",
    "name": "Ahmet",
    "surname": "Yılmaz",
    "company": "",
    "email": "ahmet@example.com",
    "phone": "5552540099",
    "tax_id": "",
    "sub_total": 1500.5,
    "shipping": 0,
    "tax": 0,
    "discount": 0,
    "total": 1500.5,
    "currency": "TRY",
    "external_id": null,
    "address": {
      "street": "Example Street No:1",
      "city": "Maltepe",
      "city_code": "TR-34-108146",
      "state": "İstanbul",
      "state_code": "TR-34",
      "zip": "34857",
      "country": "Turkey",
      "country_code": "TR",
      "tax_id": "",
      "external_id": null,
      "status": ""
    },
    "invoice_status": "pending"
  },
  "placed_at": "2019-08-24T14:15:22Z",
  "id": "fF3jGNEosBXM",
  "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
  "status": "created",
  "shipments": [
    {}
  ],
  "activities": [
    {}
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}

Bu içerik nasıl?